com.elastisys.scale.cloudpool.api

## Class NotStartedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.elastisys.scale.cloudpool.api.CloudPoolException
        - - com.elastisys.scale.cloudpool.api.NotStartedException

All Implemented Interfaces:
  Serializable

    public class NotStartedException
    extends CloudPoolException

Thrown by a `CloudPool` to indicate that a request won't be serviced due to the `CloudPool` being in a stopped state.

See Also:
  `CloudPool`, Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`NotStartedException()` Constructs a new `NotStartedException`.
`NotStartedException(String message)` Constructs a new `NotStartedException`.
`NotStartedException(String message, Throwable cause)` Constructs a new `NotStartedException`.
`NotStartedException(Throwable cause)` Constructs a new `NotStartedException`.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NotStartedException

    public NotStartedException()

Constructs a new `NotStartedException`.

#### NotStartedException

    public NotStartedException(String message,
                               Throwable cause)

Constructs a new `NotStartedException`.

Parameters:
  `message` -
  `cause` -

#### NotStartedException

    public NotStartedException(String message)

Constructs a new `NotStartedException`.

Parameters:
  `message` -

#### NotStartedException

    public NotStartedException(Throwable cause)

Constructs a new `NotStartedException`.

Parameters:
  `cause` -